I currently have a few NW65 servers running with SP2.

Can you tell me if it is ok to upgrade to SP4 from SP2 or do I have to
apply SP3 first.

Also from what I've read it looks as though I have to do the iManager
upgrade seperately. Is this true.

Get back to me as soon as possible please.